from bzrlib.plugins.bzrp4.git_p4 import IntermediateFile
import unittest

class TestIntermediateFile(unittest.TestCase):

    def setUp(self):
        self.f = IntermediateFile({'type': 'type value',
                                   'path': 'path value',
                                   'action': 'action value',
                                   'rev': 'rev value'})


    def test_get_type(self):
        self.assertEquals('type value', self.f.get_type())
        
        
    def test_get_path(self):
        self.assertEquals('path value', self.f.get_path())
        
    
    def test_get_action(self):
        self.assertEquals('action value', self.f.get_action())


    def test_get_rev(self):
        self.assertEquals('rev value', self.f.get_rev())
